CONFIG_TICKLESS_KERNEL=y

CONFIG_GPIO=y
CONFIG_LOG=y

CONFIG_CONSOLE=y
CONFIG_SPI=n
CONFIG_SERIAL=y
CONFIG_UART_ASYNC_API=y
CONFIG_UART_0_ASYNC=y
CONFIG_UART_0_INTERRUPT_DRIVEN=n

##############################
# From hids keyboard example #
##############################
CONFIG_NCS_SAMPLES_DEFAULTS=y

CONFIG_BT=y
CONFIG_BT_MAX_CONN=1
CONFIG_BT_MAX_PAIRED=1
CONFIG_BT_SMP=y
CONFIG_BT_ATT_TX_COUNT=5
CONFIG_BT_PERIPHERAL=y
CONFIG_BT_DEVICE_NAME="BLE Keyboard"
CONFIG_BT_DEVICE_APPEARANCE=961

CONFIG_BT_BAS=y
CONFIG_BT_HIDS=y
CONFIG_BT_HIDS_MAX_CLIENT_COUNT=1
CONFIG_BT_HIDS_DEFAULT_PERM_RW_ENCRYPT=y
CONFIG_BT_GATT_UUID16_POOL_SIZE=40
CONFIG_BT_GATT_CHRC_POOL_SIZE=20

CONFIG_BT_CONN_CTX=y

CONFIG_BT_DIS=y
CONFIG_BT_DIS_PNP=y
CONFIG_BT_DIS_MANUF="NordicSemiconductor"
CONFIG_BT_DIS_PNP_VID_SRC=2
CONFIG_BT_DIS_PNP_VID=0x1915
CONFIG_BT_DIS_PNP_PID=0xEEEF
CONFIG_BT_DIS_PNP_VER=0x0100

CONFIG_SYSTEM_WORKQUEUE_STACK_SIZE=2048

CONFIG_BT_HCI=y
CONFIG_BT_HCI_ERR_TO_STR=y

CONFIG_BT_ID_UNPAIR_MATCHING_BONDS=y

CONFIG_SETTINGS=y
CONFIG_SETTINGS_RUNTIME=y
# CONFIG_NVS=y
# CONFIG_SETTINGS_NVS=y
# CONFIG_FCB=y
# CONFIG_SETTINGS_FCB=y

# CONFIG_SETTINGS_NONE=n

CONFIG_BT_SETTINGS=y
CONFIG_BT_GATT_CACHING=n
CONFIG_FLASH=y
CONFIG_FLASH_PAGE_LAYOUT=y
CONFIG_FLASH_MAP=y
